% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 11: Razonamiento Basado en Casos
% Autores: Ángela Ribeiro, Xavier P. Burgos Artizzu y Jesús M. Conesa Muńoz

% Función auxiliar
% Eliminación parcial de la línea de cultivo, método E2
function [aux,colI2,aux2] = fCDer(aux,aux2,ptoIni,tam,totIni)
  [f,c] = size(aux);  

  mediaD=0;
  for i=1:f
        totD = totIni;
        pto = ptoIni;
        ptoD = pto;
        if(pto+tam<=c) 
               der = pto+tam;
        else der = c;
        end;
        vder = aux(i,ptoD:der);
        sigueDer = true;
        while(sigueDer)
            if(sigueDer && sum(vder)>=totD)
                aux(i,ptoD:der)=0;
                aux2(i,ptoD:der,1)=255;
                aux2(i,ptoD:der,2)=255;
                aux2(i,ptoD:der,3)=0;
               if(der==c)
                   sigueDer = false;
               end;
           else sigueDer = false;
           end;
           if(sigueDer && der+tam<=c) 
               ptoD = der;
               der = der+tam;
               %totD = totIni;
           elseif (sigueDer)
               ptoD = der;
               der = c;
               %totD = ceil((totIni*(c-ptoD))/tam);
           end;
           vder = aux(i,ptoD:der);
        end;
    mediaD = mediaD+der;
  end;
    colI2 = mediaD/f;
    
    aux(:,ptoIni)=0;
    aux2(:,ptoIni,1)=255;
    aux2(:,ptoIni,2)=255;
    aux2(:,ptoIni,3)=0;
%     figure,imshow(aux2)